package com.njyunzhi.h5.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "weixin")
public class WeixinConfig {
    private Mp mp;

    @Data
    public static class Mp {
        private String appid;
        private String secret;
        private String token;
        private String aesKey;
        private String httpPoxyHost;
        private Integer httpProxyPort;
    }
}
